Package groovy.ui.text

## Class GroovyFilter

- java.lang.Object
- - javax.swing.text.DocumentFilter
  - - groovy.ui.text.StructuredSyntaxDocumentFilter
    - - groovy.ui.text.GroovyFilter

-     public class GroovyFilter
      extends StructuredSyntaxDocumentFilter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter

      `StructuredSyntaxDocumentFilter.LexerNode, StructuredSyntaxDocumentFilter.MultiLineRun`

    - ### Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter

      `javax.swing.text.DocumentFilter.FilterBypass`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `BINARY_INTEGER_LITERAL` |
    `static java.lang.String` | `COMMENT` |
    `static java.lang.String` | `DECIMAL_FLOATING_POINT_LITERAL` |
    `static java.lang.String` | `DECIMAL_INTEGER_LITERAL` |
    `static java.lang.String` | `DIGIT` |
    `static java.lang.String` | `HEX_INTEGER_LITERAL` |
    `static java.lang.String` | `HEXADECIMAL_FLOATING_POINT_LITERAL` |
    `static java.lang.String` | `IDENT` |
    `static java.lang.String` | `LEFT_PARENS` |
    `static java.lang.String` | `OCTAL_INTEGER_LITERAL` |
    `static java.lang.String` | `OPERATION` |
    `static java.lang.String` | `QUOTES` |
    `static java.lang.String` | `RESERVED_WORD` |
    `static java.lang.String[]` | `RESERVED_WORDS` |
    `static java.lang.String` | `SINGLE_QUOTES` |
    `static java.lang.String` | `SLASH_SLASH_COMMENT` |
    `static java.lang.String` | `SLASH_STAR_COMMENT` |
    `static java.lang.String` | `SLASHY_QUOTES` |

    - ### Fields inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter

      `lexer, mlTextRunSet, styledDocument, TAB_REPLACEMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovyFilter​(javax.swing.text.DefaultStyledDocument doc)` | Creates a new instance of GroovyFilter

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `installAutoTabAction​(javax.swing.text.JTextComponent tComp)` |

    - ### Methods inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter

      `createLexerNode, getRootNode, insertString, parseDocument, remove, replace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMMENT

          public static final java.lang.String COMMENT

      See Also:
        Constant Field Values

    - #### SLASH_STAR_COMMENT

          public static final java.lang.String SLASH_STAR_COMMENT

      See Also:
        Constant Field Values

    - #### SLASH_SLASH_COMMENT

          public static final java.lang.String SLASH_SLASH_COMMENT

      See Also:
        Constant Field Values

    - #### QUOTES

          public static final java.lang.String QUOTES

      See Also:
        Constant Field Values

    - #### SINGLE_QUOTES

          public static final java.lang.String SINGLE_QUOTES

      See Also:
        Constant Field Values

    - #### SLASHY_QUOTES

          public static final java.lang.String SLASHY_QUOTES

      See Also:
        Constant Field Values

    - #### DIGIT

          public static final java.lang.String DIGIT

      See Also:
        Constant Field Values

    - #### DECIMAL_INTEGER_LITERAL

          public static final java.lang.String DECIMAL_INTEGER_LITERAL

      See Also:
        Constant Field Values

    - #### HEX_INTEGER_LITERAL

          public static final java.lang.String HEX_INTEGER_LITERAL

      See Also:
        Constant Field Values

    - #### OCTAL_INTEGER_LITERAL

          public static final java.lang.String OCTAL_INTEGER_LITERAL

      See Also:
        Constant Field Values

    - #### BINARY_INTEGER_LITERAL

          public static final java.lang.String BINARY_INTEGER_LITERAL

      See Also:
        Constant Field Values

    - #### DECIMAL_FLOATING_POINT_LITERAL

          public static final java.lang.String DECIMAL_FLOATING_POINT_LITERAL

      See Also:
        Constant Field Values

    - #### HEXADECIMAL_FLOATING_POINT_LITERAL

          public static final java.lang.String HEXADECIMAL_FLOATING_POINT_LITERAL

      See Also:
        Constant Field Values

    - #### IDENT

          public static final java.lang.String IDENT

      See Also:
        Constant Field Values

    - #### OPERATION

          public static final java.lang.String OPERATION

      See Also:
        Constant Field Values

    - #### LEFT_PARENS

          public static final java.lang.String LEFT_PARENS

      See Also:
        Constant Field Values

    - #### RESERVED_WORD

          public static final java.lang.String RESERVED_WORD

      See Also:
        Constant Field Values

    - #### RESERVED_WORDS

          public static final java.lang.String[] RESERVED_WORDS

  - ### Constructor Detail

    - #### GroovyFilter

          public GroovyFilter​(javax.swing.text.DefaultStyledDocument doc)

      Creates a new instance of GroovyFilter

  - ### Method Detail

    - #### installAutoTabAction

          public static void installAutoTabAction​(javax.swing.text.JTextComponent tComp)